# Maintaining an Openappstack cluster

## Backup

Please take care to backup the following locations:

### On your provisioning machine

* Your cluster config directory where you put your `inventory.yml` and
  `settings.yml` files. This is also the place where the generated secrets
  are stored during installation. It's located under at `openappstack/clusters`

### On your cluster

* The local storage directories under `/var/lib/OpenAppStack/local-storage`.
  This is the place all persistant volumes are stored.
  Some are more important than others, if you want to hand-pick what volumes
  to backup, use `kubectl get pvc --all-namespaces` to see which volumes are
  used by what application. The prometheus volumes usually take the most space
  for retaining metrics.
  We recommend backing up the whole directory.
* The [rke](https://rancher.com/docs/rke/latest/en/) directory `/var/lib/OpenAppStack/rke`
  where the `rke` config and state file of your cluster is stored.
* At this moment, [recurring, automated etcd snapshots are not configured](https://open.greenhost.net/openappstack/openappstack/issues/453).
  Please refer to the [rke etc snapshot
  documentation](https://rancher.com/docs/rke/latest/en/etcd-snapshots/) if you
  like to backup [etcd](https://etcd.io/).

If you don't care about your backup disk usage too much, the easiest way is to
backup the whole `/var/lib/OpenAppStack/` directory.

## Restore

Restore instructions will follow, please reach out to us if you need assistance.
